Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 22610)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 22796)
@@ -29,6 +29,5 @@
  * @version $Id:SC_Helper_PageLayout.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class SC_Helper_PageLayout 
-{
+class SC_Helper_PageLayout {
 
     // }}}
@@ -48,6 +47,5 @@
      * @return void
      */
-    function sfGetPageLayout(&$objPage, $preview = false, $url = '', $device_type_id = DEVICE_TYPE_PC)
-    {
+    function sfGetPageLayout(&$objPage, $preview = false, $url = '', $device_type_id = DEVICE_TYPE_PC) {
 
         // URLを元にページ情報を取得
@@ -89,5 +87,5 @@
                         . 'tpl_path: ' . $arrBloc['tpl_path'] . "\n"
                         . 'php_path: ' . $arrBloc['php_path'];
-                    trigger_error($error, E_USER_WARNING);
+                    GC_Utils_Ex::gfPrintLog($error);
                 }
             }
@@ -111,6 +109,5 @@
      * @return array ページ属性の配列
      */
-    function getPageProperties($device_type_id = DEVICE_TYPE_PC, $page_id = null, $where = '', $arrParams = array())
-    {
+    function getPageProperties($device_type_id = DEVICE_TYPE_PC, $page_id = null, $where = '', $arrParams = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'device_type_id = ? ' . (SC_Utils_Ex::isBlank($where) ? $where : 'AND ' . $where);
@@ -136,8 +133,10 @@
      * @return array ブロック情報の配列
      */
-    function getBlocs($device_type_id = DEVICE_TYPE_PC, $where = '', $arrParams = array(), $has_realpath = true)
-    {
-        $objBloc = new SC_Helper_Bloc_Ex($device_type_id);
-        $arrBlocs = $objBloc->getWhere($where, $arrParams);
+    function getBlocs($device_type_id = DEVICE_TYPE_PC, $where = '', $arrParams = array(), $has_realpath = true) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $where = 'device_type_id = ? ' . (SC_Utils_Ex::isBlank($where) ? $where : 'AND ' . $where);
+        $arrParams = array_merge(array($device_type_id), $arrParams);
+        $objQuery->setOrder('bloc_id');
+        $arrBlocs = $objQuery->select('*', 'dtb_bloc', $where, $arrParams);
         if ($has_realpath) {
             $this->setBlocPathTo($device_type_id, $arrBlocs);
@@ -155,6 +154,5 @@
      * @return array 配置情報を含めたブロックの配列
      */
-    function getBlocPositions($device_type_id, $page_id, $has_realpath = true)
-    {
+    function getBlocPositions($device_type_id, $page_id, $has_realpath = true) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $table = <<< __EOF__
@@ -170,16 +168,4 @@
             $this->setBlocPathTo($device_type_id, $arrBlocs);
         }
-        
-        //全ページ設定と各ページのブロックの重複を削除
-        foreach ($arrBlocs as $index => $arrBloc) {
-            if($arrBloc['anywhere'] == 1){
-                $arrUniqBlocIds[] = $arrBloc['bloc_id'];
-            }
-        }
-        foreach ($arrBlocs as $bloc_index => $arrBlocData) {
-            if(in_array($arrBlocData['bloc_id'], $arrUniqBlocIds) && $arrBlocData['anywhere'] == 0){
-                unset($arrBlocs[$bloc_index]);
-            }
-        }
         return $arrBlocs;
     }
@@ -195,6 +181,5 @@
      * @return integer 削除数
      */
-    function lfDelPageData($page_id, $device_type_id = DEVICE_TYPE_PC)
-    {
+    function lfDelPageData($page_id, $device_type_id = DEVICE_TYPE_PC) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         // page_id が空でない場合にはdeleteを実行
@@ -218,6 +203,5 @@
      * @return void // TODO boolean にするべき?
      */
-    function lfDelFile($filename, $device_type_id)
-    {
+    function lfDelFile($filename, $device_type_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -251,6 +235,5 @@
      * @return 編集可能ページの場合 true
      */
-    function isEditablePage($device_type_id, $page_id)
-    {
+    function isEditablePage($device_type_id, $page_id) {
         if ($page_id == 0) {
             return false;
@@ -271,6 +254,5 @@
      * @return string テンプレートのパス
      */
-    function getTemplatePath($device_type_id = DEVICE_TYPE_PC, $isUser = false)
-    {
+    function getTemplatePath($device_type_id = DEVICE_TYPE_PC, $isUser = false) {
         $templateName = '';
         switch ($device_type_id) {
@@ -309,6 +291,5 @@
      * @return string 端末に応じた DocumentRoot から user_data までのパス
      */
-    function getUserDir($device_type_id = DEVICE_TYPE_PC, $hasPackage = false)
-    {
+    function getUserDir($device_type_id = DEVICE_TYPE_PC, $hasPackage = false) {
         switch ($device_type_id) {
         case DEVICE_TYPE_MOBILE:
@@ -342,6 +323,5 @@
      * @return void
      */
-    function setBlocPathTo($device_type_id = DEVICE_TYPE_PC, &$arrBlocs = array())
-    {
+    function setBlocPathTo($device_type_id = DEVICE_TYPE_PC, &$arrBlocs = array()) {
         foreach ($arrBlocs as $key => $value) {
             $arrBloc =& $arrBlocs[$key];
@@ -359,6 +339,5 @@
      * @return integer $col_num カラム数
      */
-    function getColumnNum($arrPageLayout)
-    {
+    function getColumnNum($arrPageLayout) {
         // メインは確定
         $col_num = 1;
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 22568)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class SC_Helper_Purchase 
-{
+class SC_Helper_Purchase {
 
     var $arrShippingKey = array(
@@ -61,6 +60,5 @@
      * @return void
      */
-    function completeOrder($orderStatus = ORDER_NEW)
-    {
+    function completeOrder($orderStatus = ORDER_NEW) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objSiteSession = new SC_SiteSession_Ex();
@@ -117,6 +115,5 @@
      * @return void
      */
-    function cancelOrder($order_id, $orderStatus = ORDER_CANCEL, $is_delete = false)
-    {
+    function cancelOrder($order_id, $orderStatus = ORDER_CANCEL, $is_delete = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $in_transaction = $objQuery->inTransaction();
@@ -160,6 +157,5 @@
      * @return string 受注一時ID
      */
-    function rollbackOrder($order_id, $orderStatus = ORDER_CANCEL, $is_delete = false)
-    {
+    function rollbackOrder($order_id, $orderStatus = ORDER_CANCEL, $is_delete = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $in_transaction = $objQuery->inTransaction();
@@ -203,6 +199,5 @@
      * @return void
      */
-    function verifyChangeCart($uniqId, &$objCartSession)
-    {
+    function verifyChangeCart($uniqId, &$objCartSession) {
         $cartKey = $objCartSession->getKey();
 
@@ -239,6 +234,5 @@
      * @return array 受注一時情報の配列
      */
-    function getOrderTemp($uniqId)
-    {
+    function getOrderTemp($uniqId) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->getRow('*', 'dtb_order_temp', 'order_temp_id = ?', array($uniqId));
@@ -251,6 +245,5 @@
      * @return array 受注一時情報の配列
      */
-    function getOrderTempByOrderId($order_id)
-    {
+    function getOrderTempByOrderId($order_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->getRow('*', 'dtb_order_temp', 'order_id = ?', array($order_id));
@@ -265,8 +258,7 @@
      * @param array $params 登録する受注情報の配列
      * @param SC_Customer $objCustomer SC_Customer インスタンス
-     * @return void
-     */
-    function saveOrderTemp($uniqId, $params, &$objCustomer = NULL)
-    {
+     * @return array void
+     */
+    function saveOrderTemp($uniqId, $params, &$objCustomer = NULL) {
         if (SC_Utils_Ex::isBlank($uniqId)) {
             return;
@@ -303,6 +295,5 @@
      * @param bool $has_shipment_item 配送商品を保有している配送先のみ返す。
      */
-    function getShippingTemp($has_shipment_item = false)
-    {
+    function getShippingTemp($has_shipment_item = false) {
         if ($has_shipment_item) {
             $arrReturn = array();
@@ -323,6 +314,5 @@
      * @return void
      */
-    function clearShipmentItemTemp($shipping_id = null)
-    {
+    function clearShipmentItemTemp($shipping_id = null) {
         if (is_null($shipping_id)) {
             foreach ($_SESSION['shipping'] as $key => $value) {
@@ -344,6 +334,5 @@
      * @return void
      */
-    function setShipmentItemTemp($shipping_id, $product_class_id, $quantity)
-    {
+    function setShipmentItemTemp($shipping_id, $product_class_id, $quantity) {
         // 配列が長くなるので, リファレンスを使用する
         $arrItems =& $_SESSION['shipping'][$shipping_id]['shipment_item'][$product_class_id];
@@ -375,6 +364,5 @@
      * 配送先都道府県の配列を返す.
      */
-    function getShippingPref($is_multiple)
-    {
+    function getShippingPref($is_multiple) {
         $results = array();
         foreach (SC_Helper_Purchase_Ex::getShippingTemp($is_multiple) as $val) {
@@ -389,6 +377,5 @@
      * @return boolean 複数配送指定の購入の場合 true
      */
-    function isMultiple()
-    {
+    function isMultiple() {
         return count(SC_Helper_Purchase_Ex::getShippingTemp(true)) >= 2;
     }
@@ -402,6 +389,5 @@
      * @return void
      */
-    function saveShippingTemp($arrSrc, $shipping_id = 0)
-    {
+    function saveShippingTemp($arrSrc, $shipping_id = 0) {
         // 配送商品は引き継がない
         unset($arrSrc['shipment_item']);
@@ -421,6 +407,5 @@
      * @return void
      */
-    function unsetShippingTemp()
-    {
+    function unsetShippingTemp() {
         SC_Helper_Purchase_Ex::unsetAllShippingTemp(true);
     }
@@ -432,6 +417,5 @@
      * @return void
      */
-    static function unsetAllShippingTemp($multiple_temp = false)
-    {
+    static function unsetAllShippingTemp($multiple_temp = false) {
         unset($_SESSION['shipping']);
         if ($multiple_temp) {
@@ -446,6 +430,5 @@
      * @return void
      */
-    static function unsetOneShippingTemp($shipping_id)
-    {
+    static function unsetOneShippingTemp($shipping_id) {
         unset($_SESSION['shipping'][$shipping_id]);
     }
@@ -509,6 +492,5 @@
      * @return void
      */
-    function copyFromOrder(&$dest, $src, $prefix = 'shipping', $src_prefix = 'order', $arrKey = null)
-    {
+    function copyFromOrder(&$dest, $src, $prefix = 'shipping', $src_prefix = 'order', $arrKey = null) {
         if (is_null($arrKey)) {
             $arrKey = $this->arrShippingKey;
@@ -533,6 +515,5 @@
      * @return void
      */
-    function extractShipping($arrSrc)
-    {
+    function extractShipping($arrSrc) {
         $arrKey = array();
         foreach ($this->arrShippingKey as $key) {
@@ -543,8 +524,68 @@
 
     /**
+     * 購入金額に応じた支払方法を取得する.
+     *
+     * @param integer $total 購入金額
+     * @param integer $deliv_id 配送業者ID
+     * @return array 購入金額に応じた支払方法の配列
+     */
+    function getPaymentsByPrice($total, $deliv_id) {
+
+        $arrPaymentIds = $this->getPayments($deliv_id);
+        if (SC_Utils_Ex::isBlank($arrPaymentIds)) {
+            return array();
+        }
+
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        // 削除されていない支払方法を取得
+        $where = 'del_flg = 0 AND payment_id IN (' . SC_Utils_Ex::repeatStrWithSeparator('?', count($arrPaymentIds)) . ')';
+        $objQuery->setOrder('rank DESC');
+        $payments = $objQuery->select('payment_id, payment_method, rule_max, upper_rule, note, payment_image, charge', 'dtb_payment', $where, $arrPaymentIds);
+        $arrPayment = array();
+        foreach ($payments as $data) {
+            // 下限と上限が設定されている
+            if (strlen($data['rule_max']) != 0 && strlen($data['upper_rule']) != 0) {
+                if ($data['rule_max'] <= $total && $data['upper_rule'] >= $total) {
+                    $arrPayment[] = $data;
+                }
+            }
+            // 下限のみ設定されている
+            elseif (strlen($data['rule_max']) != 0) {
+                if ($data['rule_max'] <= $total) {
+                    $arrPayment[] = $data;
+                }
+            }
+            // 上限のみ設定されている
+            elseif (strlen($data['upper_rule']) != 0) {
+                if ($data['upper_rule'] >= $total) {
+                    $arrPayment[] = $data;
+                }
+            }
+            // いずれも設定なし
+            else {
+                $arrPayment[] = $data;
+            }
+        }
+        return $arrPayment;
+    }
+
+    /**
+     * 支払方法の詳細を取得する.
+     *
+     * @param integer $payment_id お支払い方法
+     * @return array 支払方法詳細の配列
+     */
+    function getPaymentsByPaymentsId($payment_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $where = 'payment_id = ? AND del_flg = 0';
+        $arrValues = array($payment_id);
+        return $objQuery->getRow('*', 'dtb_payment', $where, $arrValues);
+    }
+
+    /**
      * お届け日一覧を取得する.
      */
-    function getDelivDate(&$objCartSess, $productTypeId)
-    {
+    function getDelivDate(&$objCartSess, $productTypeId) {
         $cartList = $objCartSess->getCartList($productTypeId);
         $delivDateIds = array();
@@ -604,6 +645,5 @@
      * お届け可能日のスタート値から, お届け日の配列を取得する.
      */
-    function getDateArray($start_day, $end_day)
-    {
+    function getDateArray($start_day, $end_day) {
         $masterData = new SC_DB_MasterData_Ex();
         $arrWDAY = $masterData->getMasterData('mtb_wday');
@@ -627,4 +667,50 @@
 
     /**
+     * 配送業者IDからお届け時間の配列を取得する.
+     *
+     * @param integer $deliv_id 配送業者ID
+     * @return array お届け時間の配列
+     */
+    function getDelivTime($deliv_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->setOrder('time_id');
+        $results = $objQuery->select('time_id, deliv_time',
+                                     'dtb_delivtime',
+                                     'deliv_id = ?', array($deliv_id));
+        $arrDelivTime = array();
+        foreach ($results as $val) {
+            $arrDelivTime[$val['time_id']] = $val['deliv_time'];
+        }
+        return $arrDelivTime;
+    }
+
+    /**
+     * 商品種別ID から配送業者を取得する.
+     *
+     * @param integer $product_type_id 商品種別ID
+     * @return array 配送業者の配列
+     */
+    function getDeliv($product_type_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->setOrder('rank DESC');
+        return $objQuery->select('*', 'dtb_deliv', 'product_type_id = ? AND del_flg = 0',
+                                 array($product_type_id));
+    }
+
+    /**
+     * 配送業者ID から, 有効な支払方法IDを取得する.
+     *
+     * @param integer $deliv_id 配送業者ID
+     * @return array 有効な支払方法IDの配列
+     */
+    function getPayments($deliv_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->setOrder('rank');
+        return $objQuery->getCol('payment_id', 'dtb_payment_options',
+                                 'deliv_id = ?',
+                                 array($deliv_id), MDB2_FETCHMODE_ORDERED);
+    }
+
+    /**
      * 配送情報の登録を行う.
      *
@@ -638,6 +724,5 @@
      * @return void
      */
-    function registerShipping($order_id, $arrParams, $convert_shipping_date = true)
-    {
+    function registerShipping($order_id, $arrParams, $convert_shipping_date = true) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $table = 'dtb_shipping';
@@ -677,6 +762,5 @@
      * @return void
      */
-    function registerShipmentItem($order_id, $shipping_id, $arrParams)
-    {
+    function registerShipmentItem($order_id, $shipping_id, $arrParams) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $table = 'dtb_shipment_item';
@@ -734,6 +818,5 @@
      * @param integer 受注ID
      */
-    function registerOrderComplete($orderParams, &$objCartSession, $cartKey)
-    {
+    function registerOrderComplete($orderParams, &$objCartSession, $cartKey) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -774,6 +857,4 @@
             $arrDetail[$i]['price'] = $item['price'];
             $arrDetail[$i]['quantity'] = $item['quantity'];
-            $arrDetail[$i]['tax_rate'] = $orderParams['order_tax_rate'];
-            $arrDetail[$i]['tax_rule'] = $orderParams['order_tax_rule'];
 
             // 在庫の減少処理
@@ -805,6 +886,5 @@
      * @return integer 受注ID
      */
-    function registerOrder($order_id, $arrParams)
-    {
+    function registerOrder($order_id, $arrParams) {
         $table = 'dtb_order';
         $where = 'order_id = ?';
@@ -860,6 +940,5 @@
      * @return void
      */
-    function registerOrderDetail($order_id, $arrParams)
-    {
+    function registerOrderDetail($order_id, $arrParams) {
         $table = 'dtb_order_detail';
         $where = 'order_id = ?';
@@ -882,6 +961,5 @@
      * @return array 受注情報の配列
      */
-    function getOrder($order_id, $customer_id = null)
-    {
+    function getOrder($order_id, $customer_id = null) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'order_id = ?';
@@ -901,6 +979,5 @@
      * @return array 受注詳細の配列
      */
-    function getOrderDetail($order_id, $has_order_status = true)
-    {
+    function getOrderDetail($order_id, $has_order_status = true) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $dbFactory  = SC_DB_DBFactory_Ex::getInstance();
@@ -916,6 +993,4 @@
             T2.quantity,
             T2.point_rate,
-            T2.tax_rate,
-            T2.tax_rule,
 __EOS__;
         if ($has_order_status) {
@@ -959,6 +1034,5 @@
      * @return void
      */
-    function setDownloadableFlgTo(&$arrOrderDetail)
-    {
+    function setDownloadableFlgTo(&$arrOrderDetail) {
         foreach ($arrOrderDetail as $key => $value) {
             // 販売価格が 0 円
@@ -983,6 +1057,5 @@
      * @return array 配送情報の配列
      */
-    function getShippings($order_id, $has_items = true)
-    {
+    function getShippings($order_id, $has_items = true) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrResults = array();
@@ -1014,6 +1087,5 @@
      * @return array 商品規格IDをキーにした配送商品の配列
      */
-    function getShipmentItems($order_id, $shipping_id, $has_detail = true)
-    {
+    function getShipmentItems($order_id, $shipping_id, $has_detail = true) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objProduct = new SC_Product_Ex();
@@ -1047,6 +1119,5 @@
      * @return void
      */
-    function sendOrderMail($orderId)
-    {
+    function sendOrderMail($orderId) {
         $mailHelper = new SC_Helper_Mail_Ex();
         $template_id =
@@ -1067,6 +1138,5 @@
      * @return void
      */
-    function sfUpdateOrderStatus($orderId, $newStatus = null, $newAddPoint = null, $newUsePoint = null, &$sqlval = array())
-    {
+    function sfUpdateOrderStatus($orderId, $newStatus = null, $newAddPoint = null, $newUsePoint = null, &$sqlval = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrOrderOld = $objQuery->getRow('status, add_point, use_point, customer_id', 'dtb_order', 'order_id = ?', array($orderId));
@@ -1176,6 +1246,5 @@
      * @static
      */
-    function sfUpdateOrderNameCol($order_id, $temp_table = false)
-    {
+    function sfUpdateOrderNameCol($order_id, $temp_table = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -1215,6 +1284,5 @@
      * @return boolean 使用するか(会員テーブルから減算するか)
      */
-    function isUsePoint($status)
-    {
+    function isUsePoint($status) {
         if ($status == null) {
             return false;
@@ -1236,6 +1304,5 @@
      * @return boolean 加算するか
      */
-    function isAddPoint($status)
-    {
+    function isAddPoint($status) {
         switch ($status) {
             case ORDER_NEW:         // 新規注文
@@ -1273,6 +1340,5 @@
      * @param integer $cartKey 登録を行うカート情報のキー
      */
-    function cleanupSession($orderId, &$objCartSession, &$objCustomer, $cartKey)
-    {
+    function cleanupSession($orderId, &$objCartSession, &$objCustomer, $cartKey) {
         // カートの内容を削除する.
         $objCartSession->delAllProducts($cartKey);
@@ -1291,6 +1357,5 @@
      * @return void
      */
-    function setShipmentItemTempForSole(&$objCartSession, $shipping_id = 0)
-    {
+    function setShipmentItemTempForSole(&$objCartSession, $shipping_id = 0) {
         $objCartSess = new SC_CartSession_Ex();
 
@@ -1309,6 +1374,5 @@
      * @return integer
      */
-    public function getNextOrderID()
-    {
+    public function getNextOrderID() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->nextVal('dtb_order_order_id');
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php	(revision 22796)
@@ -13,6 +13,5 @@
    * @version $Id$
    */
-class SC_Helper_CSV 
-{
+class SC_Helper_CSV {
 
     // {{{ properties
@@ -30,6 +29,5 @@
      * デフォルトコンストラクタ.
      */
-    function __construct()
-    {
+    function __construct() {
         $this->init();
     }
@@ -44,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         $this->arrSubnavi = array(
             1 => 'product',
@@ -73,6 +70,5 @@
      * @return mixed $is_download = true時 成功失敗フラグ(boolean) 、$is_downalod = false時 string
      */
-    function sfDownloadCsv($csv_id, $where = '', $arrVal = array(), $order = '', $is_download = false)
-    {
+    function sfDownloadCsv($csv_id, $where = '', $arrVal = array(), $order = '', $is_download = false) {
         // CSV出力タイトル行の作成
         $arrOutput = SC_Utils_Ex::sfSwapArray($this->sfGetCsvOutput($csv_id, 'status = ' . CSV_COLUMN_STATUS_FLG_ENABLE));
@@ -104,7 +100,4 @@
             $sql = 'SELECT ' . $cols . ' FROM dtb_category ' . $where;
         }
-        // 「getSqlを使っているcsv_id=1」以外で「order指定」がある場合は末尾に付与
-        // 全csv_idでgetSqlを使用して生成するよう統一する場合は当メソッドの呼び元も要修正
-        $sql = ($csv_id != '1' && strlen($order) >= 1) ? $sql.' order by '.$order : $sql;
         // 固有処理ここまで
         return $this->sfDownloadCsvFromSql($sql, $arrVal, $this->arrSubnavi[$csv_id], $arrOutput['disp_name'], $is_download);
@@ -120,6 +113,5 @@
      * @return array CSV 項目の配列
      */
-    function sfGetCsvOutput($csv_id = '', $where = '', $arrVal = array(), $order = 'rank, no')
-    {
+    function sfGetCsvOutput($csv_id = '', $where = '', $arrVal = array(), $order = 'rank, no') {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -147,6 +139,5 @@
      * @return boolean true:インポート可能、false:インポート不可
      */
-    function sfIsImportCSVFrame(&$arrCSVFrame)
-    {
+    function sfIsImportCSVFrame(&$arrCSVFrame) {
         $result = true;
         foreach ($arrCSVFrame as $val) {
@@ -169,6 +160,5 @@
      * @return boolean true:更新可能、false:新規追加のみ不可
      */
-    function sfIsUpdateCSVFrame(&$arrCSVFrame)
-    {
+    function sfIsUpdateCSVFrame(&$arrCSVFrame) {
         $result = true;
         foreach ($arrCSVFrame as $val) {
@@ -189,6 +179,5 @@
      * @return integer CSV のカウント数
      */
-    function sfGetCSVRecordCount($fp)
-    {
+    function sfGetCSVRecordCount($fp) {
         $count = 0;
         while (!feof($fp)) {
@@ -210,6 +199,5 @@
      * @return boolean true (true:固定 false:中断)
      */
-    function cbOutputCSV($data)
-    {
+    function cbOutputCSV($data) {
         $line = $this->sfArrayToCSV($data);
         $line = mb_convert_encoding($line, 'SJIS-Win');
@@ -230,6 +218,5 @@
      * @return mixed $is_download = true時 成功失敗フラグ(boolean) 、$is_downalod = false時 string
      */
-    function sfDownloadCsvFromSql($sql, $arrVal = array(), $file_head = 'csv', $arrHeader = array(), $is_download = false)
-    {
+    function sfDownloadCsvFromSql($sql, $arrVal = array(), $file_head = 'csv', $arrHeader = array(), $is_download = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -275,6 +262,5 @@
      * @return string 結果行
      */
-    function sfArrayToCsv($fields, $delimiter = ',', $enclosure = '"', $arrayDelimiter = '|')
-    {
+    function sfArrayToCsv($fields, $delimiter = ',', $enclosure = '"', $arrayDelimiter = '|') {
         if (strlen($delimiter) != 1) {
             trigger_error('delimiter must be a single character', E_USER_WARNING);
@@ -313,6 +299,5 @@
      * @return void
      */
-    function lfDownloadCsv($arrData, $prefix = '')
-    {
+    function lfDownloadCsv($arrData, $prefix = '') {
 
         if ($prefix == '') {
@@ -344,6 +329,5 @@
      * @return void
      */
-    function lfDownloadCSVFile($filepath, $prefix = '')
-    {
+    function lfDownloadCSVFile($filepath, $prefix = '') {
         $file_name = $prefix . date('YmdHis') . '.csv';
 
